/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2008 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_kernel.h 1 2010-06-14 02:33:52Z ertl-ichiba $
 */

/*
 *  kernel.hΥåȰ¸NIOS2_DEV_3C25ѡ
 *
 *  Υ󥯥롼ɥեϡkernel.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤΥե򥤥󥯥롼
 *  ˡt_stddef.h󥯥롼ɤΤǡ˰¸Ƥ
 *  
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

/*
 *  ǡνԤʤʤ
 */
#define NIOS2_OMIT_DATA_INIT

/*
 *  Interrupt Vector Instruction ̿
 */
#define NIOS2_USE_INT_VEC_INST       /* Interrupt Vector Instruction Ȥ */
#define NIOS2_INT_VEC_INST_NO    0   /* ֹ̿                            */

/*
 *  å奵
 */
#define NIOS2_ICACHE_SIZE       4096
#define NIOS2_ICACHE_LINE_SIZE    32
#define NIOS2_DCACHE_SIZE          0
#define NIOS2_DCACHE_LINE_SIZE     0

/*
 *  ƥå
 */
#define TIC_NUME   1U            /* ƥåμʬ */
#define TIC_DENO   1U            /* ƥåμʬ */

/*
 *  ڥեΥ١ɥ쥹
 */

/*
 *  Avalon Timer
 */
#define AVALON_TIM_BASE 0x08010800

/*
 *  JTAG UART
 */
#define JTAG_UART_PORT1_BASE 0x08010820

/*
 *  ͥ٥Ѥ JTAG UART
 */
#define KENEL_LOW_JTAG_UART_BASE 0x08010820

/*
 *  ץåǶ̤
 */
#include "nios2_gcc/prc_kernel.h"

#endif /* TOPPERS_TARGET_KERNEL_H */
